<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('product_upgrade_paths', function (Blueprint $table) {
            $table->dropColumn('allowed_periods');
        });
    }

    public function down(): void
    {
        Schema::table('product_upgrade_paths', function (Blueprint $table) {
            $table->json('allowed_periods')->nullable();
        });
    }
};
